<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "title" => 'O despertador mais inteligente do mundo! - Excelente',
    "themeColor" => "#72B946",
    "description" => 'Até podes fazer vídeo chamadas',
    "imageSrc" => "http://asset.excelente.pt/ea41912719d7acd7f20d6465d299a34d/upfigmttzqgz.jpg?w=800&h=450&q=99",
    "icon" => "http://www.excelente.pt/resources/img/favicon-excelente.png",
    "charset" => "utf-8",
    "canonical" => "http://www.excelente.pt/artigo/15/303/o-despertador-mais-inteligente-do-mundo/" ,
    "type" =>  "article",
    "twCard" => "summary_large_image",
    "twCreator" => "@youongroup",
    "twSite" => "@youongroup",
    "locale" => "pt",
    "l10n" => ["pt","en","es"],
    "siteName" => "FamaTv",
    "article" => [

      "authors" => [
        
         [
           "name" => "Jorge Mendes Menezes Magalhães",
           "facebook" => "http://facebook.com/1234",
           "website" =>  "http://www.t.pt"
         ],
         [
          "name" => "Samsung",
          "facebook" => "http://www.l.pt",
          "twitter" => "http://www.i.pt",
          "instagram" => "http://www.sapo.pt",
          "linkedin" => "http://www.i.pt",
          "website" =>  "http://www.t.pt"
         ],
         [
          "name" => "Samsung 2",
          "instagram" => "http://www.sapo.pt",
        ]
      ],
      "publisher" => "http://facebook.com/1234",
      "pubDate" => "2013-09-17T05:59:00+01:00",
      "modDate" => "2013-09-17T05:59:00+01:00",
      "dossier" => "Informação",
      "tags" => [
        "Seniores", "Fátima"
      ]
    ]
  ];
  define("DEBUG",true)
?>
<!DOCTYPE html5>
<html lang="en">
<head>
    <?php echo $meta->getStructuredData($data,DEBUG);
         
         /*echo $meta->getAllMetadata($data,DEBUG);*/
    ?>

</head>
<body>
</body>
</html>