<?php
  ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);
  
  require("../../vendor/autoload.php");
  use Helper\MetadataGenerator\MetadataGenerator;
  use Helper\MetadataGenerator\StructuredData\ContactType;
  use Helper\MetadataGenerator\StructuredData\LocalBusiness\BusinessType;
  use Helper\MetadataGenerator\StructuredData\StockManagement;
  use DateTime;

  $meta = new MetadataGenerator();
  $data = [
    "title" => 'Informação - FamaTV',
    "themeColor" => "#72B946",
    "description" => 'A FamaTV é um projeto pioneiro na webtv nacional e assume agora uma nova imagem.',
    "keywords" => "Famalicão e assim",
    "author" => "Pedro Silva",
    "imageSrc" => "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png",
    "icon" => ["favicon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png",
                "apple-touch-icon" => "http://famatv.youoncontent.com/resources/img/favicon-famatv.png" ],
    "charset" => "utf-8",
    "canonical" => "http://famatv.youoncontent.com/videos/informacao/pagina/2/",
    "prev" => "http://famatv.youoncontent.com/videos/informacao/",
    "next" => "http://famatv.youoncontent.com/videos/informacao/pagina/3/",
    "fbAdmins" => "181488158850210",
    "fbPageId" => "181488158850210",
    "type" =>  "video",
    "twCard" => "summary_large_image",
    "twCreator" => "@youongroup",
    "twSite" => "@youongroup",
    "videoObj" =>  [
      "url" => "http://vc.youongroup.com/player/flash/ynstg_plyr_v2.0.3.10.swf?sid=Tm1SbE5HTXhaaTFtWTJGak1Ua3dZemt3WmpKbFpqaG1Oell6WTE5bE9EVXhZek5rTlRCaVpUQXdPV1prTWpZeE1qY3lOMlkzTWpRME5qazROVjh3WHpGZk5GODBNUT09&amp;autoplay=1&amp;pColor=0x72b946&amp;tColor=&amp;gtwbtlb=OKAY&amp;vw=fb",
      "secure_url" => "https://vc.youongroup.com/player/flash/ynstg_plyr_v2.0.3.10.swf?sid=Tm1SbE5HTXhaaTFtWTJGak1Ua3dZemt3WmpKbFpqaG1Oell6WTE5bE9EVXhZek5rTlRCaVpUQXdPV1prTWpZeE1qY3lOMlkzTWpRME5qazROVjh3WHpGZk5GODBNUT09&amp;autoplay=1&amp;pColor=0x72b946&amp;tColor=&amp;gtwbtlb=OKAY&amp;vw=fb",
      "type" => "application/x-shockwave-flash",
      "width" => "480",
      "height" => "270",
      "duration" => "120",

      "views" => "1234",
      "thumbnail" => [
        "http://famatv.youoncontent.com/resources/img/metadata/metadata-famatv.png"
      ],
      "uploadDate" => (new DateTime())->format(DATE_ATOM),
      "contentUrl" => "",

    ]
  ];
  define("DEBUG",true);
  echo $meta->getStructuredData($data,DEBUG);
?>
